%define		_modname	yaz
%define		_status		stable
Summary:	%{_modname} - a Z39.50 client for PHP
Summary(pl.UTF-8):	%{_modname} - klient Z39.50 dla PHP
Name:		php-pecl-%{_modname}
Version:	1.0.14
Release:	7
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	ad75c5aba798ed4f708e4a6b8b72ca0a
URL:		http://pecl.php.net/package/yaz/
BuildRequires:	libxslt-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
BuildRequires:	yaz-devel >= 3.0.2
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Suggests:	re2c >= 0.13.4
Obsoletes:	php-pear-%{_modname}
Obsoletes:	php-yaz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension implements a Z39.50 client for PHP using the YAZ
toolkit.

Find more information at: <http://www.indexdata.dk/phpyaz/>
<http://www.indexdata.dk/yaz/>.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie implementuje klienta Z39.50 dla PHP za pomocą narzędzi
YAZ.

Więcej informacji można znaleźć na stronach:
<http://www.indexdata.dk/phpyaz/> <http://www.indexdata.dk/yaz/>.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 39b1c9d
- use php(core) as dependency to require php version
- release 6 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 5f9becb
- release 6 (by relup.sh)

* Mon May 23 2011 lisu <lisu@pld-linux.org> 2aa4a0a
- rel 5

* Fri Mar 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> df6026e
- release 4

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d923ad1
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 373c212
- release 2

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> 971939c
- up to 1.0.14
- BR: yaz-devel >= 3.0.2
- S: re2c >= 0.13.4, if you want to regenerate PHP parsers

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3a9fbff
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> be16bed
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 3245cfe
- use new php extension related macros

* Sun Dec 24 2006 Adam Gołębiowski <adamg@pld-linux.org> c32bbb4
- updated to 1.0.8
- make use of php_webserver_restart macro
- BuildRequires: libxslt-devel

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> a1e67c6
- rel 2 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> dc6631a
- BR rpmmacros for fixed %requires_php_extension

* Sun Apr 23 2006 Adam Gołębiowski <adamg@pld-linux.org> cf316bd
- updated to 1.0.7

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> fcac264
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> c0a9808
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 067971d
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 644e020
- rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 42974b4
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 123530f
- superfluous BR libtool removed

